org.apache.hc.client5.http.classic.methods

## Class HttpDelete

- java.lang.Object
- - org.apache.hc.core5.http.message.HeaderGroup
  - - org.apache.hc.core5.http.message.BasicHttpRequest
    - - org.apache.hc.core5.http.message.BasicClassicHttpRequest
      - - org.apache.hc.client5.http.classic.methods.HttpUriRequestBase
        - - org.apache.hc.client5.http.classic.methods.HttpDelete

All Implemented Interfaces:
  Serializable, CancellableAware, Configurable, org.apache.hc.core5.http.ClassicHttpRequest, org.apache.hc.core5.http.HttpMessage, org.apache.hc.core5.http.HttpRequest, org.apache.hc.core5.http.MessageHeaders

    public class HttpDelete
    extends HttpUriRequestBase

HTTP DELETE method

The HTTP DELETE method is defined in section 9.7 of RFC2616:

> The DELETE method requests that the origin server delete the resource identified by the Request-URI. [...] The client cannot be guaranteed that the operation has been carried out, even if the status code returned from the origin server indicates that the action has been completed successfully.

Since:
  4.0
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `METHOD_NAME`

### Constructor Summary

Constructors
Constructor and Description
`HttpDelete(String uri)`
`HttpDelete(URI uri)`

### Method Summary

### Methods inherited from class org.apache.hc.client5.http.classic.methods.HttpUriRequestBase

`abort, getConfig, isAborted, isCancelled, reset, setCancellable, setConfig, toString`

### Methods inherited from class org.apache.hc.core5.http.message.BasicClassicHttpRequest

`getEntity, setEntity`

### Methods inherited from class org.apache.hc.core5.http.message.BasicHttpRequest

`addHeader, getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, getVersion, setAuthority, setHeader, setPath, setScheme, setVersion`

### Methods inherited from class org.apache.hc.core5.http.message.HeaderGroup

`addHeader, clear, containsHeader, containsHeaders, getAllHeaders, getCondensedHeader, getFirstHeader, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.hc.core5.http.HttpRequest

`getAuthority, getMethod, getPath, getRequestUri, getScheme, getUri, setAuthority, setPath, setScheme`

### Methods inherited from interface org.apache.hc.core5.http.HttpMessage

`addHeader, addHeader, getVersion, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setVersion`

### Methods inherited from interface org.apache.hc.core5.http.MessageHeaders

`containsHeader, containsHeaders, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getSingleHeader, headerIterator, headerIterator`

### Field Detail

#### METHOD_NAME

    public static final String METHOD_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### HttpDelete

    public HttpDelete(URI uri)

#### HttpDelete

    public HttpDelete(String uri)

Throws:
  `IllegalArgumentException` - if the uri is invalid.